Debian Bug report logs - #726488
ITP: ruby-commander -- Ruby command-line interface library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Youhei SASAKI <uwabami@gfd-dennou.org>

Date: Wed, 16 Oct 2013 08:39:02 UTC

Owned by: Youhei SASAKI <uwabami@gfd-dennou.org>

Severity: wishlist

Fixed in version ruby-commander/4.1.5-1

Done: Youhei SASAKI <uwabami@gfd-dennou.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#726488; Package wnpp. (Wed, 16 Oct 2013 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
New Bug report received and forwarded. Copy sent to uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 16 Oct 2013 08:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-commander -- Ruby command-line interface library
Date: Wed, 16 Oct 2013 17:31:04 +0900
Package: wnpp
Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
Severity: wishlist

* Package name    : ruby-commander
  Version         : 4.1.5
  Upstream Author : TJ Holowaychuk
* URL or Web page : http://visionmedia.github.com/commander
* License         : MIT
  Description     : Ruby command-line interface library

 "Commander" bridges the gap between other terminal related libraries
 you know and love (OptionParser, HighLine), while providing many new
 features, and an elegant API.
 .
 Features:
    * Easier than baking cookies
    * Parses options using OptionParser
    * Auto-populates struct with options:
      ( no more { |v| options[:recursive] = v } )
    * Auto-generates help documentation via pluggable help formatters
    * Optional default command when none is present
    * Global / Command level options
    * Packaged with two help formatters (Terminal, TerminalCompact)
    * Imports the highline gem for interacting with the terminal
    * Adds additional user interaction functionality
    * Highly customizable progress bar with intuitive, simple usage
    * Multi-word command name support
    * Sexy paging for long bodies of text
    * Command aliasing
    * Use the 'commander' executable to initialize a commander driven program

---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07



Reply sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
You have taken responsibility. (Tue, 04 Feb 2014 17:03:12 GMT) Full text and rfc822 format available.

Notification sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug acknowledged by developer. (Tue, 04 Feb 2014 17:03:12 GMT) Full text and rfc822 format available.

Message #10 received at 726488-close@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: 726488-close@bugs.debian.org
Subject: Bug#726488: fixed in ruby-commander 4.1.5-1
Date: Tue, 04 Feb 2014 17:00:06 +0000
Source: ruby-commander
Source-Version: 4.1.5-1

We believe that the bug you reported is fixed in the latest version of
ruby-commander, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 726488@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Youhei SASAKI <uwabami@gfd-dennou.org> (supplier of updated ruby-commander package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 16 Oct 2013 16:55:56 +0900
Source: ruby-commander
Binary: ruby-commander
Architecture: source all
Version: 4.1.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Youhei SASAKI <uwabami@gfd-dennou.org>
Description: 
 ruby-commander - Ruby command-line interface library
Closes: 726488
Changes: 
 ruby-commander (4.1.5-1) unstable; urgency=low
 .
   * Initial release (Closes: #726488)
Checksums-Sha1: 
 5c030a0fa26cbed0d25d0be96ed4899ae1b31942 2085 ruby-commander_4.1.5-1.dsc
 7c5fd3215a63a6715c42a1e1b1790f5f4ff1e7c0 28934 ruby-commander_4.1.5.orig.tar.gz
 74005fc4dd1060ca208605805ebb53f50f58c9bd 3388 ruby-commander_4.1.5-1.debian.tar.xz
 5a46f97c356efb46bfd88f29cc5ca27871d93a7b 25792 ruby-commander_4.1.5-1_all.deb
Checksums-Sha256: 
 e8c97e8f4a72001a56faa129817311e176af6a7f73c75d69e64756a04dec42ed 2085 ruby-commander_4.1.5-1.dsc
 6075b992473d679fe2d5d9a9e84082c95531d229b9513e631cce1075a60601c5 28934 ruby-commander_4.1.5.orig.tar.gz
 fcdc56615a36ec7771ea679cace142122cf40db90b7a179cdca780b016dc9838 3388 ruby-commander_4.1.5-1.debian.tar.xz
 4d510ae8eefdbc5eddc9bae3839f2ad8e3448f04d7e7d5799c73cd8b81ecd00e 25792 ruby-commander_4.1.5-1_all.deb
Files: 
 87f437fd0884d317fc3b726e4dd8f0d7 2085 ruby optional ruby-commander_4.1.5-1.dsc
 f9584d226e52bfb9100f17d9ef5f9995 28934 ruby optional ruby-commander_4.1.5.orig.tar.gz
 90f74e9d9651b57b35a537a08abd0342 3388 ruby optional ruby-commander_4.1.5-1.debian.tar.xz
 b9a0dc1bcadd23048207ed716bcbdf12 25792 ruby optional ruby-commander_4.1.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS75OpAAoJEHg5YZ3UOWaOHQEP/0sAaXtaBcOnDW5WDQkEAsR1
VbSh2e49mT50V9zl9dOEy9i54h2lQ/QHi9In+nzdNuTx8dVwXcU7lVFKE3MqaQOl
Aq2ykZrhM2uYsAAWeSDWF7b/ziLuDX8MqHeajKc73Lq3bAveECgzbMK1nP91zGtc
lCpuaCyQQ9VNInRyqXt3kW/qc8aoTwdEoxlzxb0WI8/NjT08zJOmawkzyWVqcQGr
c7L/U50kqt3hhHPQ0+MNWad40bE0fDzE9A2OvxJXi7loNNMgoaJ3sb/dQW1+i5g4
xCMbBg0WAnSeyszs5NlQrYAw/thftBCAwT2Wh7Bna6ajD1fn+A8s1dvq4AmIiKuP
qJnwohG1cX7gWijRKWvxlei6aHywnAa4Yn/oszyRHhrJV96rjDbhHTRE1gSn8KMd
8ywQIJm/AekRfw0Tj6y8/xYmkzqXP/9EKz5vi4KHTgB0wJNa/O6GgRMZD/XnBXu0
zwMAIijQfs4N1mg/4ftmXYgqTy4o7g9YAGEthujKCE91PxVZOwdR0FZVwfBiXK45
3nH5qonkxOuu+7ezvVKpFHrxHCt8Q/C2Ny0TN8wGz+4jeYEvgCcfuvwSwv1HXevT
GNBjRpmxBPKU2FBNSio2lmCkEILBVZuO2TmKqmKFaH81t6TUKkLNYaHtjrD4mziP
9gBwrcqptiTdDi/6psx9
=FD8w
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Mar 2014 07:35:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:33:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.